View Issue Details

IDProjectCategoryView StatusLast Update
0000580Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2014-06-26 15:23
ReporterDragonZombieAssigned To 
PrioritynormalSeveritycrashReproducibilityrandom
Status closedResolutionopen 
Platform64 bitsOSWindows 8OS Version
Product Version 
Target VersionFixed in Version 
Summary0000580: crash on wire to any block
Descriptionwhen i put any cable to any machine or generator it crashes and if i play agian, same crash
Steps To Reproduceget a generator (any one) put fuel on it then put a wire then crash
Additional Informationmekanism or universal electricity WORSENS the problem
TagsNo tags attached.
Minecraft Version

Activities

DragonZombie

2013-09-07 15:46

reporter  

crash-2013-09-07_10.36.00-server.txt (13,027 bytes)
---- Minecraft Crash Report ----
// Don't be sad. I'll do better next time, I promise!

Time: 9/7/13 10:36 AM
Description: Exception while updating neighbours

java.lang.NoSuchMethodError: ic2.api.energy.tile.IEnergyEmitter.emitsEnergyTo(Lnet/minecraft/tileentity/TileEntity;Lic2/api/Direction;)Z
	at ic2.core.block.wiring.TileEntityCable.onNeighborBlockChange(TileEntityCable.java:156)
	at ic2.core.block.wiring.BlockCable.func_71863_a(BlockCable.java:382)
	at net.minecraft.world.World.func_72821_m(World.java:843)
	at ic2.core.EnergyNet.addTileEntity(EnergyNet.java:245)
	at ic2.core.EnergyNet$EventHandler.onEnergyTileLoad(EnergyNet.java:53)
	at net.minecraftforge.event.ASMEventHandler_26_EventHandler_onEnergyTileLoad_EnergyTileLoadEvent.invoke(.dynamic)
	at net.minecraftforge.event.ASMEventHandler.invoke(ASMEventHandler.java:39)
	at net.minecraftforge.event.EventBus.post(EventBus.java:108)
	at ic2.core.block.generator.tileentity.TileEntityBaseGenerator.onLoaded(TileEntityBaseGenerator.java:114)
	at ic2.core.block.TileEntityBlock$1.tickCallback(TileEntityBlock.java:48)
	at ic2.core.IC2.processTickCallbacks(IC2.java:1365)
	at ic2.core.IC2.tickStart(IC2.java:1224)
	at cpw.mods.fml.common.SingleIntervalHandler.tickStart(SingleIntervalHandler.java:28)
	at cpw.mods.fml.common.FMLCommonHandler.tickStart(FMLCommonHandler.java:122)
	at cpw.mods.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:295)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:650)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:585)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:175)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at net.minecraft.server.ThreadMinecraftServer.run(SourceFile:582)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
	at ic2.core.block.wiring.TileEntityCable.onNeighborBlockChange(TileEntityCable.java:156)
	at ic2.core.block.wiring.BlockCable.func_71863_a(BlockCable.java:382)

-- Block being updated --
Details:
	Source block type: ID #4032 (blockGenerator // ic2.core.block.generator.block.BlockGenerator)
	Block type: ID #4005 (blockCable // ic2.core.block.wiring.BlockCable)
	Block data value: 9 / 0x9 / 0b1001
	Block location: World: (-457,70,-505), Chunk: (at 7,4,7 in -29,-32; contains blocks -464,0,-512 to -449,255,-497), Region: (-1,-1; contains chunks -32,-32 to -1,-1, blocks -512,0,-512 to -1,255,-1)
Stacktrace:
	at net.minecraft.world.World.func_72821_m(World.java:843)
	at ic2.core.EnergyNet.addTileEntity(EnergyNet.java:245)
	at ic2.core.EnergyNet$EventHandler.onEnergyTileLoad(EnergyNet.java:53)
	at net.minecraftforge.event.ASMEventHandler_26_EventHandler_onEnergyTileLoad_EnergyTileLoadEvent.invoke(.dynamic)
	at net.minecraftforge.event.ASMEventHandler.invoke(ASMEventHandler.java:39)
	at net.minecraftforge.event.EventBus.post(EventBus.java:108)
	at ic2.core.block.generator.tileentity.TileEntityBaseGenerator.onLoaded(TileEntityBaseGenerator.java:114)
	at ic2.core.block.TileEntityBlock$1.tickCallback(TileEntityBlock.java:48)
	at ic2.core.IC2.processTickCallbacks(IC2.java:1365)
	at ic2.core.IC2.tickStart(IC2.java:1224)
	at cpw.mods.fml.common.SingleIntervalHandler.tickStart(SingleIntervalHandler.java:28)
	at cpw.mods.fml.common.FMLCommonHandler.tickStart(FMLCommonHandler.java:122)
	at cpw.mods.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:295)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:650)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:585)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:175)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at net.minecraft.server.ThreadMinecraftServer.run(SourceFile:582)

-- System Details --
Details:
	Minecraft Version: 1.6.2
	Operating System: Windows 8 (amd64) version 6.2
	Java Version: 1.7.0_21, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 264003192 bytes (251 MB) / 781189120 bytes (745 MB) up to 1908932608 bytes (1820 MB)
	JVM Flags: 2 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx2G
	AABB Pool Size: 1751 (98056 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Suspicious classes: FML and Forge are installed
	IntCache: cache: 0, tcache: 0, allocated: 2, tallocated: 64
	FML: MCP v8.04 FML v6.2.60.849 Minecraft Forge 9.10.1.849 Optifine OptiFine_1.6.2_HD_U_C4 43 mods loaded, 43 mods active
	mcp{8.04} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	FML{6.2.60.849} [Forge Mod Loader] (minecraftforge-9.10.1.849.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forge{9.10.1.849} [Minecraft Forge] (minecraftforge-9.10.1.849.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AppliedEnergistics-Core{rv13.b} [AppliedEnergistics Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CodeChickenCore{0.9.0.5} [CodeChicken Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NotEnoughItems{1.6.1.3} [Not Enough Items] (NotEnoughItems 1.6.1.3.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	morphcore{1.1.5} [MorphCore] ([1.6.2]MorphCore_v1.1.5.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	horseaccessories{1.1.4} [HorseAccessories] ([1.6.2]HorseAccessories_v1.1.4.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	mod_ReiMinimap{v3.4_01 [1.6.2]} [mod_ReiMinimap] ([1.6.2]ReiMinimap_v3.4_01.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	witchspawn{1.0.3} [witchspawn] ([1.6.2]WitchSpawn_v1.0.3.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	nohero_morehealth{4.5} [More Health Forge] ([Forge]More Health Enhanced 4.5 Universal.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AppliedEnergistics{rv13.b} [Applied Energistics] (appeng-rv13-b-mc162.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Backpack{1.18.17} [Backpack] (backpack-1.18.17-1.6.2.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BC2{1.0.0} [Bosscraft 2] (Bosscraft2 (1.0.1).zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Core{4.0.2} [BuildCraft] (buildcraft-A-4.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Builders{4.0.2} [BC Builders] (buildcraft-A-4.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Energy{4.0.2} [BC Energy] (buildcraft-A-4.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Factory{4.0.2} [BC Factory] (buildcraft-A-4.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Transport{4.0.2} [BC Transport] (buildcraft-A-4.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Silicon{4.0.2} [BC Silicon] (buildcraft-A-4.0.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ComputerCraft{1.56} [ComputerCraft] (ComputerCraft1.56.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CCTurtle{1.56} [ComputerCraft Turtles] (ComputerCraft1.56.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CrossbowMod2{a0.1.5} [Crossbow Mod 2] (Crossbow-Mod-2-1.6.2-a0.1.5.23.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IC2{1.118.401-lf} [IndustrialCraft 2] (industrialcraft-2_1.118.401-lf.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forestry{2.3.0.1} [Forestry for Minecraft] (forestry-A-2.3.0.1.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	LightBridgesAndDoors{0.1.6} [kris91268's Light Bridges and Doors] (Light Bridges and Doors V1.6.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	MFFS{3.3.1} [Modular Force Field System] (MFFS_v3.3.1.220.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AdvancedSolarPanel{3.3.8} [Advanced Solar Panels] (mod_AdvancedSolarPanels_3_3_8.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	GraviSuite{1.9.5} [Gravitation Suite] (mod_zGraviSuite_1_9_5.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	StevesCarts{2.0.0.a132} [Steve's Carts 2] (StevesCarts2.0.0.a132.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	TConstruct{1.6.2_1.4.3d7} [Tinkers' Construct] (TConstruct_1.6.2_1.4.3d10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	TConstruct|CompatMineFactoryReloaded{0.1} [TConstruct Compat: MFR] (TConstruct_1.6.2_1.4.3d10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	TF2Teleporter{1.6.2} [TF2 Teleporter] (TF2_Teleporter_1.6.2a.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	tukmc_Vz{Version [3.2.2] for 1.6.2} [TukMC] (TukMC[3.2.2].zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	WatkinsBase{0.1} [Watkins Base] (UtilityChest.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	UtilityChest{v2.2} [Utility Chest] (UtilityChest.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ForgeMultipart{1.0.0.156} [Forge Multipart] (ForgeMultipart-universal-1.6.2-1.0.0.156.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	WR-CBE|Core{1.4.0.5} [WR-CBE Core] (WR-CBE 1.4.0.5.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	WR-CBE|Addons{1.4.0.5} [WR-CBE Addons] (WR-CBE 1.4.0.5.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	WR-CBE|Logic{1.4.0.5} [WR-CBE Logic] (WR-CBE 1.4.0.5.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	McMultipart{1.0.0.156} [Minecraft Multipart Plugin] (ForgeMultipart-universal-1.6.2-1.0.0.156.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BasicComponents{1.0.0} [Basic Components] (Basic_Components_v1.0.0.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	ForgeMicroblock{1.0.0.156} [Forge Microblocks] (ForgeMultipart-universal-1.6.2-1.0.0.156.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 297 (16632 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Player Count: 1 / 8; [EntityPlayerMP['mewtwoy'/258, l='World of that...', x=-457.03, y=69.00, z=-502.42]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'

robot256

2013-09-07 15:53

reporter   ~0001311

You are running the old IC2 build for 1.5.2. It sometimes works with 1.6.2, but some of the mods you are running (like Applied Energistics) have already updated to the new IC2 API. Try downloading the latest IC2 experimental build for Minecraft 1.6.2 from http://ic2api.player.to:8080/job/IC2_experimental/ Just don't try to use the electric engine from Forestry, and remove Advanced Solar Panels for now.

DragonZombie

2013-09-07 17:50

reporter   ~0001314

it works but what happends is that the machines DELETE EVERYTHING that is placed on them! i had a macerator process something and when i came back... it was full empty, and the upgrades were lost too!

robot256

2013-09-07 18:04

reporter   ~0001315

Sorry, IC2 exp is advertised as world breaking. You made a backup, right?

Does it work if you create a new world from scratch? (or is that what you tried?)

DragonZombie

2013-09-07 18:59

reporter   ~0001320

dosent work, tried with 3 worlds... still deletes everything from the machine

robot256

2013-09-07 19:25

reporter   ~0001321

Just want to make sure I understand what you are seeing...You place a macerator, a power source, give it a stack of ore, leave (either outside render distance or quit and reload) and wben you come back the machine is empty? Do you have any chests or hoppers nearby? Do the items disappear if you stay near the machine? Does it happen for other machines? Does it happen for vanilla ores or just for certain mod ores? Do you know if any of your mods besides Forestry and AE have IC2 interfaces? Thanks.

DragonZombie

2013-09-08 15:31

reporter   ~0001325

sorry for late response, what happends is that ITS FOR EVERY machine, even the new ones like ore washer... and no, it happends when i exit the interference... for example: i place ore and battery, then it starts crushing it, BUT as soon as i exit the interference it stops and when i look inside ITS EMPTY, also the other mods dont have any conflincts that im aware... and i dont use hoppers or chests near them

robot256

2013-09-08 18:19

reporter   ~0001326

This is certainly a bug that should be fixed. Which build of IC2 experimental are you using? I'm still not convinced it isn't a mod conflict of some sort, since it hasn't come up for anyone else that I am aware of. I would suggest making a backup ZIP of your .minecraft folder, then start removing mods one by one and creating new single-player worlds to see if it still happens. Also make sure that every mod you have installed is actually built for 1.6.2, and not just a "latest" build for 1.5.2. Thanks.

DragonZombie

2013-09-09 23:10

reporter   ~0001331

FIXED! it turns out it was tukmc all the time! by disabling block at pointer it turns out the blocks no longer dissapear... and it procces everything perfectly!

robot256

2013-09-10 00:27

reporter   ~0001333

Thanks for the update! Maybe the TUKMC author would like to know about the problem you had.

Thunderdark

2014-06-26 15:23

viewer   ~0002536

cleanup campaign close all reports > 6 months

Issue History

Date Modified Username Field Change
2013-09-07 15:46 DragonZombie New Issue
2013-09-07 15:46 DragonZombie File Added: crash-2013-09-07_10.36.00-server.txt
2013-09-07 15:53 robot256 Note Added: 0001311
2013-09-07 17:50 DragonZombie Note Added: 0001314
2013-09-07 18:04 robot256 Note Added: 0001315
2013-09-07 18:59 DragonZombie Note Added: 0001320
2013-09-07 19:25 robot256 Note Added: 0001321
2013-09-08 15:31 DragonZombie Note Added: 0001325
2013-09-08 18:19 robot256 Note Added: 0001326
2013-09-09 23:10 DragonZombie Note Added: 0001331
2013-09-10 00:27 robot256 Note Added: 0001333
2014-06-26 15:23 Thunderdark Note Added: 0002536
2014-06-26 15:23 Thunderdark Status new => closed